function enableCollapseLinks() {
    $('.collapse-link').click( function() {
        var ibox = $(this).closest('div.ibox');
        var button = $(this).find('i');
        var content = ibox.find('div.ibox-content');
        content.slideToggle(200);
        button.toggleClass('fa-chevron-up').toggleClass('fa-chevron-down');
        ibox.toggleClass('').toggleClass('border-bottom');
        setTimeout(function () {
            ibox.resize();
            ibox.find('[id^=map-]').resize();
        }, 50);
    });
}

function enableMultiselects(elements) {
    elements.forEach(function(i) {
        $('#' + i).multipleSelect({filter: true})
    });
}

function enableDatePickers(elements) {
    elements.forEach(function(i) {
        $('#' + i + ' .input-daterange').datepicker({
            autoclose: true,
            format: 'yyyy-mm-dd'
        });
    });
}

function enableSwitchers(elements) {
    elements.forEach(function(i) {
        $('#' + i).bootstrapSwitch({
            size: 'small',
            onText: 'AND',
            offText: 'OR',
            onColor: 'success',
            labelWidth: 6
        });
    });
}

function addToolTip(element_id, tooltip_text) {
    $('#' + element_id).tooltip({trigger: 'hover', title: tooltip_text, html: true});
}

$(document).ready(function () {
    enableCollapseLinks();
});
